Xshell Forum

Xshell commands limitation is invalid.

Last post: Thursday, June 28, 2018 2:53 AM by Support, 3 reply

 
Thursday, June 14, 2018 10:59 AM - yoyo

Xshell commands limitation is invalid.

 
Third-party system can limit the shell commands.When i use putty tools ,it can execute normally,but Xshell can't . Is a issue?
Background:
"passwd" is a limited command in third-party system settings.

When I input "passwd" then enter CTRL + ENTER,the limitation is invalid.Please check the attachment1(xshell.png) for details. Otherwise,the attachment2 is from putty tool,is normal.

I really need your help.Thanks!

Program Ver. : Xshell 4
Monday, June 18, 2018 1:03 AM - Support

Re: Xshell commands limitation is invalid.

 
Can you send us detailed information so we can create a test bed? Please provide the OS type and version, the command limitation method, etc.

Technical Support

Like us on Facebook
Follow us on Twitter
Visit our blog Blog
Tuesday, June 19, 2018 2:12 AM - yoyo

Re: Xshell commands limitation is invalid.

 
Thank you for your reply.Sorry,my English is not so good,please translate them into English.
第三方系统可以设置linux限制输入指令,参考附件, 比如,我在"设置"限制passwd这一条指令,我在linux下可以输入passwd,但是要绕过改密的功能。操作系统类型:Redhat ,版本:5.4。
限制指令的方法我不了解,但是putty可以做到限制指令,xshell却不能。
Thursday, June 28, 2018 2:53 AM - Support

Re: Xshell commands limitation is invalid.

 
We need more information. According to the image, you seem to be using a 3rd party program to use command restrictions. And Putty is listed in this system. As far as we know, Putty itself does not have a command restrictions list.

Linux systems themselves also do not have this kind of feature which restricts command within some terminals but does not in others.

Do you have any resources or links where we can learn more about this feature.

Technical Support

Like us on Facebook
Follow us on Twitter
Visit our blog Blog